## budgie-control-center 1.0.1

=== meson_options.txt ===
option('cheese', type: 'boolean', value: true, description: 'build with cheese webcam support')
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: false, description: 'build with Snap support')
option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
option('wayland', type: 'boolean', value: false, description: 'build with Wayland support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')
option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')

=== debian/changelog ===
budgie-control-center (1.0.1-2ubuntu3) jammy; urgency=medium

  * Bug-fix
    - Fix segfault crash when resetting all keyboard shortcuts
      keyboard-avoid-segfault.patch (LP: #1992229)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Oct 2022 11:10:52 +0100

budgie-control-center (1.0.1-2ubuntu2) jammy; urgency=medium

  * Bug-fix
    - Ensure lock-screen does not break budgie-desktop fractional scaling
      support (LP: #1972007)
      Rework-fractional-scaling-to-disable-the-lock-screen.patch
    - Ensure screen-sharing starts VNC through enabling systemd
      (LP: #1973117)
      remote-desktop-service-enable.patch
    - Update previous changelog with the actual patch file name

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 13 May 2022 10:51:18 +0100

budgie-control-center (1.0.1-2ubuntu1) jammy; urgency=medium

  * Bug-fix
    Adapt GCC ubuntu specific language & region chooser to ensure
    language & locale selection is displayed and able to choose from
    (LP: #1970255)
    ubuntu/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 26 Apr 2022 12:06:18 +0100

budgie-control-center (1.0.1-2) unstable; urgency=medium

  * Bug-fix
    Fix missing test dialog speaker icons
    Ensure-buddies-gresource-includes-sound-test-icons-c.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Mar 2022 19:40:24 +0000

budgie-control-center (1.0.1-1) unstable; urgency=medium

  * New microrelease
    - Resolve inconsistent icons which were previously a mixture of
      color and symbolic symbology.
    - drop existing patch since incorporated in this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 17 Mar 2022 18:33:55 +0000

budgie-control-center (1.0.0-2) unstable; urgency=medium

  * Bug-fix release
    - Do not have circular dependency on budgie-desktop (Closes: #1007207)
      d/control - change budgie-desktop to a recommendation
    - Ensure Enhanced Open (OWE) connections can be saved properly from
      the connection-editor
      network-Fix-OWE-settings.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 16 Mar 2022 17:56:53 +0000

budgie-control-center (1.0.0-1) unstable; urgency=medium

  * New release
    - first stable release by upstream
    - changes from v0.4 includes sync of gnome-control-center v41.4 tag
      commits; translations and point release bug fixes

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 06 Mar 2022 20:11:37 +0000

budgie-control-center (0.4-1) unstable; urgency=medium

  * Initial Release (Closes: #1003845)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 14 Feb 2022 18:52:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Ddocumentation=true

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/buddiesofbudgie/budgie-control-center/releases .*/budgie-control-center-([0-9.]+)\.tar\.xz

## budgie-control-center 1.1.1

=== debian/changelog ===
budgie-control-center (1.1.1-2) unstable; urgency=medium

  * d/control.in move gnome-online-accounts back to a recommendation
    since it now includes budgie-control-center as an alternate thus
    it no longer installs gnome-control-center

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 21 Sep 2022 21:40:43 +0100

budgie-control-center (1.1.1-1) unstable; urgency=medium

  * New microrelease
    - Translations update
    - Support 5G modems on the network page
    - Background image - update to look like budgie rather than GNOME Shell
  * Packaging Changes
    - d/control.in bump StandardsVersion - no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 13 Sep 2022 16:12:43 +0100

budgie-control-center (1.1.0-2) unstable; urgency=medium

  * d/control.in move gnome-online-accounts to suggests so that
    gnome-control-center is not also installed

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 30 Aug 2022 12:51:23 +0100

budgie-control-center (1.1.0-1) unstable; urgency=medium

  * New upstream release
    - changes described in the upstream release tag
      https://github.com/BuddiesOfBudgie/budgie-control-center/releases/tag/v1.1.0
      Notable changes in this release:
      Printers: Add the ability to adjust the job task priority
      Info-Overview - overhaul of descriptions to correctly display
      trademarks, remove junk info and simplify strings such as
      CPU, Core and Processor.
      Network: Implement handling for OWE-TM networks
    - Drop existing patch since it has been incorporated in this release
    - Upload to unstable since release can be built with both unstable
      and experimental gnome-desktop versions
  * Packaging Changes
    - drop budgie-control-center-dev since no longer required with this
      release.  No reverse dependencies in the archive exists
      so don't need to make a transition package
    - d/control.in - drop B/D libgnome-desktop-dev to current testing version
      42.3 since this release will build with v43 and v42 - rebuild as
      part of a future GNOME 43 transition.
      Add libgnutls28-dev as a B/D
      Remove libsoup2.4-dev as a B/D

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 09 Aug 2022 09:35:07 +0100

budgie-control-center (1.0.2-3) experimental; urgency=medium

  * Resolve FTBFS due to gnome-desktop 43 alpha API changes
    0001-Resolve-thumbnail-API-change-31.patch
    (closes: #1016175)
  * Packaging Changes
    d/control.in B/D libgnome-desktop-dev 43~alpha-2

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 03 Aug 2022 09:13:45 +0100

budgie-control-center (1.0.2-2) unstable; urgency=medium

  * Packaging Changes
    - d/control.in Remove pulseaudio specifics to allow uplift to pipewire
      if required.

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 24 May 2022 10:01:41 +0100

budgie-control-center (1.0.2-1) unstable; urgency=medium

  * New upstream release
    - display sound icons when testing the sound output
    - small typo fix in oc language
    - version bump for gsettings schemas i.e. BCC is for GNOME 42 and later
    - Rework fractional scaling support for distros that include the mutter
      patch (LP: #1972007)
    - Support VNC Screen-sharing with GNOME 42 GNOME Remote Desktop
      (LP: #1973117)
  * Adapt GCC ubuntu specific language & region chooser to ensure
    language & locale selection is displayed and able to choose from
    (LP: #1970255)
    ubuntu/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
  * Packaging Changes
    - Drop existing patch since incorporated in the microrelease
    - d/rules add clean and configure rules to apply ubuntu specific patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 12 May 2022 14:31:10 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: budgie-control-center
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://github.com/buddiesofbudgie/budgie-control-center
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome (>= 0.22.2),
               libaccountsservice-dev (>= 0.6.39),
               desktop-file-utils,
               gnome-settings-daemon-dev (>= 41),
               gsettings-desktop-schemas-dev (>= 40),
               gtk-doc-tools,
               libcanberra-gtk3-dev,
               libcheese-dev (>= 3.28.0),
               libcheese-gtk-dev (>= 3.5.91),
               libcolord-dev (>= 0.1.29),
               libcolord-gtk-dev (>= 0.1.24),
               libcups2-dev,
               libgcr-3-dev [linux-any],
               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68.0),
               libgnome-desktop-3-dev (>= 42.3),
               libgnomekbd-dev (>= 2.91.91),
               libgnome-bluetooth-dev (>= 3.18.0) [linux-any],
               libibus-1.0-dev (>= 1.5.2),
               libgoa-1.0-dev (>= 3.25.3),
               libgoa-backend-1.0-dev (>= 3.25.3),
               libgsound-dev,
               libgtk-3-dev (>= 3.22.20),
               libgtop2-dev,
               libgudev-1.0-dev (>= 232) [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libkrb5-dev,
               libnm-dev (>= 1.24.0) [linux-any],
               libnma-dev (>= 1.8.0) [linux-any],
               libmm-glib-dev [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libpulse-dev (>= 13.0~),
               libpwquality-dev,
               libsecret-1-dev,
               libsmbclient-dev (>= 2:3.6.12-1~),
               libudisks2-dev,
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [linux-any],
               libxi-dev (>= 2:1.2),
               libx11-dev,
               libxft-dev (>= 2.1.2),
               libxklavier-dev (>= 5.1),
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.51.0),
               policykit-1,
               shared-mime-info,
               tzdata <!nocheck>,
               xvfb,
               python3-dbusmock,
               libgnutls28-dev
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/ubuntubudgie/budgie-control-center.git
Vcs-Browser: https://github.com/ubuntubudgie/budgie-control-center

Package: budgie-control-center
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         accountsservice,
         apg,
         colord (>= 0.1.30),
         desktop-file-utils,
         budgie-control-center-data,
         gnome-desktop3-data,
         gnome-settings-daemon (>= 41),
         gsettings-desktop-schemas (>= 40)
Recommends: cups-pk-helper,
            gnome-user-docs,
            gnome-user-share,
            gnome-online-accounts,
            gkbd-capplet,
            iso-codes,
            libcanberra-pulse,
            policykit-1,
            rygel | rygel-tracker,
            system-config-printer-common (>= 1.4),
            network-manager-gnome (>= 0.9.8),
            libnss-myhostname,
            cracklib-runtime,
            power-profiles-daemon,
            budgie-desktop
Suggests: gnome-software | gnome-packagekit,
          realmd,
          libcanberra-gtk-module,
          libcanberra-gtk3-module,
          x11-xserver-utils
Description: utilities to configure the Budgie desktop
 This package contains configuration applets for the Budgie desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop background, user
 interface properties, screen resolution, and other Budgie parameters.
 .
 This is a fork of gnome-control-center at v41 with gnome-shell
 specifics removed together with configuration specific to the
 budgie-desktop.

Package: budgie-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration applets for Budgie - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the budgie-control-center package.
 .
 This is a fork of gnome-control-center at v41 with gnome-shell
 specifics removed together with configuration specific to the
 budgie-desktop.

## budgie-control-center 1.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 option('wayland', type: 'boolean', value: false, description: 'build with Wayland support')
 option('profile', type: 'combo', choices: ['default','development'], value: 'default')
 option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
+option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')

=== debian/changelog ===
budgie-control-center (1.2.0-1) unstable; urgency=medium

  * New upstream release
    Add support to specify a Touchpad's click-method - using finger actions,
    clicking on touchpad areas, disable recognizing touchpad clicks or using
    your hardware default (if any)
    Support fingerprint recognition for login (a lightdm greeter such as
    slick) as well as the lock screen (budgie-screensaver /
    gnome-screensaver). Distros are recommended to include their equivalent
    of the Debian fprintd and libpam-fprintd packages and/or document how to
    setup fingerprint support and enrolment now available through BCC - Users
    Super+Shift+P now in budgie-desktop v10.7 shows the new Power Dialog. This
    shortcut can be customised through the Keyboard - View and Customize
    Shortcuts - System
    Add printers button now longer shows the potentially confusing two
    equivalent buttons on the same screen
    About: Remove the Mesa prefix for the Intel Iris driver
    About: Add the distro's Build ID (if it has one)
    About: Add the current kernel version
    Background: Now shows all image mime-types - previously just jpg and png
    were displayed. This potentially allows desktop images to be displayed
    using a wider array of image types such as .webp
    Fix crash if no power profile is set manually through gsettings
    Fix occasional crash when entering the wifi page when not connected to a
    network
    Add missing interface name during network profile creation
    Update WWAN apn list only if device is available otherwise APN list from
    mobile-provider-info may not be properly loaded
    Hide the thunderbolt panel if no thunderbolt devices/capabilities are
    detected. This mimics Wacom panel display/hiding
    Lots of updated translation thanks to our wonderful Transifex community
  * Packaging Changes
    debian/control.in add requirement for budgie-desktop >= 10.7
    B/D policykit-1 to polkitd and pkexec (Closes: #1025549)
    Recommends:change from policykit-1 to polkitd and pkexec

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 10 Feb 2023 16:12:53 +0000

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,8 @@
                libxml2-utils,
                locales,
                meson (>= 0.51.0),
-               policykit-1,
+               polkitd,
+               pkexec,
                shared-mime-info,
                tzdata <!nocheck>,
                xvfb,
@@ -85,14 +86,15 @@
             gkbd-capplet,
             iso-codes,
             libcanberra-pulse,
-            policykit-1,
+            polkitd,
+            pkexec,
             rygel | rygel-tracker,
             system-config-printer-common (>= 1.4),
             network-manager-gnome (>= 0.9.8),
             libnss-myhostname,
             cracklib-runtime,
             power-profiles-daemon,
-            budgie-desktop
+            budgie-desktop (>= 10.7)
 Suggests: gnome-software | gnome-packagekit,
           realmd,
           libcanberra-gtk-module,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,20 @@
 	dh $@
 
 override_dh_auto_configure:
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
+	patch -p1 < debian/ubuntu/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
+	touch ./debian/ubuntu/applied
+endif
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
 		-Ddocumentation=true
+
+override_dh_clean:
+	dh_clean
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
+
+	@if [ -e ./debian/ubuntu/applied ]; then \
+		patch -R -p1 < debian/ubuntu/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch ; \
+		rm ./debian/ubuntu/applied ; \
+	fi
+endif

## budgie-control-center 1.3.0

=== debian/changelog ===
budgie-control-center (1.3.0-1) unstable; urgency=medium

  * New upstream release
  - Default applications - allow one to change the File-Manager defaults
  - Lots of new and updated translators
  - bug-fix: Set search button/entry as sensitive when printers list is empty
  - Don't invoking Search when pressing CTRL+S - CTRL+F is the standard
    method to invoke Search and CTRL+S is to invoke saving
  - Privacy - Clearing File History now prompts whether to empty; now
    consistent with emptying the trash etc.
  - bug-fix: sound: Don't flip the balance and fade sliders in RTL setups
  - bug-fix: sound: alerts sounds are correctly defined when choosing an
    alert type
  - sound: Add a "None" option to turn off sound alerts
  - bug-fix: network: reapply connection on device when refreshing
  - bug-fix: network: add missing cancellable; this resolves odd crashing
    when adding but then cancelling network connections
  - network: Disable DNS entry if the automatic option is enabled in the
    connection editor IPv4/6 tabs
  - display: Add 32:9 to known aspect ratios; support ultra-wide monitors
  - keyboard: country matches should not be shown under a language name;
    e.g. searching for Italian shouldn't display country matches
  - bug-fix: ensure printing test pages work with temporary queues
  - bug-fix: disable commas from trying to be used to set the host-name;
    previously this caused extra unnecessary logs to be produced
  - bug-fix: resolve issues where the pop-up showing user avatars appeared
    over the top of selecting a new avatar
  - bug-fix: resolve crash when cancelling from connecting to a thunderbolt
    connection
  - Display "UPS" in the power panel if the desktop is actually connected
    to a UPS
  - Add a confirmation dialog when attempting to clear file history
  - bug-fix: Resolve duplicate entries that occasionally appear in the sound
    device drop-downs
  - Displays: ensure all screens are updated ('snapped') when a display
    config change is made; for example rotating a screen that is in the middle
    of two adjacent screens is now possible
  - Allow jumbo-frames to be used for network connections - MTU size increased
    to 65536 bytes
  - bug-fix: where a panel does crash, ensure that panel is not the last
    remembered panel so that BCC can be reopened again.
  - bug-fix: When searching, ensure that pressing ENTER does not activate an
    empty panel search nor result in reactivating the WIFI panel when on another
    panel
  * Packaging Changes
    d/control.in bump StandardsVersion; no addition changes required
    d/control.in drop now obsolete b/d on transition package
    libgdk-pixbuf2.0-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 01 Aug 2023 20:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libcolord-gtk-dev (>= 0.1.24),
                libcups2-dev,
                libgcr-3-dev [linux-any],
-               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
+               libgdk-pixbuf-2.0-dev (>= 2.23.0),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.68.0),
                libgnome-desktop-3-dev (>= 42.3),
@@ -62,7 +62,7 @@
                xvfb,
                python3-dbusmock,
                libgnutls28-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/ubuntubudgie/budgie-control-center.git
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-control-center

## budgie-control-center 1.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+option('ssh', type: 'boolean', value: false, description: 'build with SSH Socket based connection for remote login')
 option('cheese', type: 'boolean', value: true, description: 'build with cheese webcam support')
 option('documentation', type: 'boolean', value: false, description: 'build documentation')
 option('ibus', type: 'boolean', value: true, description: 'build with IBus support')

=== debian/changelog ===
budgie-control-center (1.4.0-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop bluetooth support (Closes: #1059485)
  * Drop Suggests: libcanberra-gtk-module (Closes: #1054627)

 -- Bastian Germann <bage@debian.org>  Thu, 02 Jan 2025 15:19:26 +0000

budgie-control-center (1.4.0-5) unstable; urgency=medium

  * d/control update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086821)
  * patch 0001-fix-FTBFS-with-incompatible-pointer-types.patch
    resolve dep-3 last-update format

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 20:15:59 +0000

budgie-control-center (1.4.0-4) unstable; urgency=medium

  * Resolve FTBFS with GCC-14 (Closes: #1074857)
    0001-fix-FTBFS-with-incompatible-pointer-types.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 28 Jul 2024 21:46:35 +0100

budgie-control-center (1.4.0-3) unstable; urgency=medium

  * Revert addition of patch since apparmor now includes a suitable bwrap
    profile. (LP: #2065708)
    Don-t-use-gnome-desktop-thumbnail-preview-creator.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 May 2024 22:00:05 +0100

budgie-control-center (1.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug-fix
    - Backgrounds: fix to allow the "Add Picture" option to work correctly
      Don-t-use-gnome-desktop-thumbnail-preview-creator.patch (LP #2065708)

 -- Samuel Lane <samlane00@gmail.com>  Tue, 14 May 2024 16:07:21 -0400

budgie-control-center (1.4.0-2) unstable; urgency=medium

  * Bug-fix
    d/control - remove B/D on cheese.
    d/rules - Drop cheese support for taking user pictures.  This has been
    dropped from upstream gnome-control-center and it appears to no longer
    work anyway.

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 16 Mar 2024 20:19:52 +0000

budgie-control-center (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes
    - remove control.in usage since this is now deprecated
    - d/control B/D dh-sequence-gnome has been removed
    - d/control B/D remove libgoa-1.0-dev and libgoa-backend-1.0-dev
      since gnome-online-accounts support has been removed from this release;
      the recommendation has also been removed.
    - d/rules compile with ssh=true for socket based Ubuntu sshd.
    - d/rules override the SSHD-Socket name since Debian/Ubuntu used "ssd"
      rather than the upstream "sshd" convention

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Feb 2024 11:00:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,15 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: budgie-control-center
 Section: misc
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Homepage: https://github.com/buddiesofbudgie/budgie-control-center
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome (>= 0.22.2),
                libaccountsservice-dev (>= 0.6.39),
                desktop-file-utils,
                gnome-settings-daemon-dev (>= 41),
                gsettings-desktop-schemas-dev (>= 40),
                gtk-doc-tools,
                libcanberra-gtk3-dev,
-               libcheese-dev (>= 3.28.0),
-               libcheese-gtk-dev (>= 3.5.91),
                libcolord-dev (>= 0.1.29),
                libcolord-gtk-dev (>= 0.1.24),
                libcups2-dev,
@@ -26,10 +19,7 @@
                libglib2.0-dev (>= 2.68.0),
                libgnome-desktop-3-dev (>= 42.3),
                libgnomekbd-dev (>= 2.91.91),
-               libgnome-bluetooth-dev (>= 3.18.0) [linux-any],
                libibus-1.0-dev (>= 1.5.2),
-               libgoa-1.0-dev (>= 3.25.3),
-               libgoa-backend-1.0-dev (>= 3.25.3),
                libgsound-dev,
                libgtk-3-dev (>= 3.22.20),
                libgtop2-dev,
@@ -82,7 +72,6 @@
 Recommends: cups-pk-helper,
             gnome-user-docs,
             gnome-user-share,
-            gnome-online-accounts,
             gkbd-capplet,
             iso-codes,
             libcanberra-pulse,
@@ -90,14 +79,13 @@
             pkexec,
             rygel | rygel-tracker,
             system-config-printer-common (>= 1.4),
-            network-manager-gnome (>= 0.9.8),
+            network-manager-applet,
             libnss-myhostname,
             cracklib-runtime,
             power-profiles-daemon,
             budgie-desktop (>= 10.7)
 Suggests: gnome-software | gnome-packagekit,
           realmd,
-          libcanberra-gtk-module,
           libcanberra-gtk3-module,
           x11-xserver-utils
 Description: utilities to configure the Budgie desktop

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
@@ -11,10 +11,17 @@
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 	patch -p1 < debian/ubuntu/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
 	touch ./debian/ubuntu/applied
-endif
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
-		-Ddocumentation=true
+		-Ddocumentation=true \
+		-Dssh=true \
+		-Dcheese=false
+else
+	dh_auto_configure -- \
+		-Dprivileged_group=sudo \
+		-Ddocumentation=true \
+		-Dcheese=false
+endif
 
 override_dh_clean:
 	dh_clean

## budgie-control-center 1.4.1

=== debian/changelog ===
budgie-control-center (1.4.1-1) unstable; urgency=medium

  * New microrelease
    - support budgie-desktop 10.9.3 & GNOME 49 changes
    - keyboard handling now uses budgie media-keys schema
    - Drops the obsolete v1.2 libhandy subproject in favor of a distro's v1
      libhandy-devel package
    - removes obsolete polkit pkla config (Closes: #1093064)
  * d/control remove dependency on obsolete apg (Closes: #1104261)
  * d/control remove obsolete libxklavier-dev
  * d/control remove obsolete libgnomekbd (Closes: #1092921)
  * d/control remove obsolete libgirepository1.0-dev (Closes: #1118793)
  * d/control bump StandardsVersion; no changes required
  * d/control bump gnome-settings-daemon version to ensure migration
    of GNOME 49 with this package
  * Drop 0001-fix-FTBFS-with-incompatible-pointer-types; new release
    resolves the previous compilation issues and now supports the
    GNOME 49 required schema changes included with the latest budgie-desktop
  * wrap-and-sort -bst

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 31 Oct 2025 16:44:55 +0000

=== debian/control ===
Source: budgie-control-center
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://github.com/buddiesofbudgie/budgie-control-center
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 gnome-settings-daemon-dev (>= 49),
 gsettings-desktop-schemas-dev (>= 40),
 gtk-doc-tools,
 libaccountsservice-dev (>= 0.6.39),
 libcanberra-gtk3-dev,
 libcolord-dev (>= 0.1.29),
 libcolord-gtk-dev (>= 0.1.24),
 libcups2-dev,
 libgcr-3-dev [linux-any],
 libgdk-pixbuf-2.0-dev (>= 2.23.0),
 libglib2.0-dev (>= 2.68.0),
 libgnome-desktop-3-dev (>= 42.3),
 libgnutls28-dev,
 libgsound-dev,
 libgtk-3-dev (>= 3.22.20),
 libgtop2-dev,
 libgudev-1.0-dev (>= 232) [linux-any],
 libhandy-1-dev (>= 1.2.0),
 libibus-1.0-dev (>= 1.5.2),
 libkrb5-dev,
 libmm-glib-dev [linux-any],
 libnm-dev (>= 1.24.0) [linux-any],
 libnma-dev (>= 1.8.0) [linux-any],
 libpolkit-gobject-1-dev (>= 0.103),
 libpulse-dev (>= 13.0~),
 libpwquality-dev,
 libsecret-1-dev,
 libsmbclient-dev (>= 2:3.6.12-1~),
 libudisks2-dev,
 libupower-glib-dev (>= 0.99.8),
 libwacom-dev (>= 0.7) [linux-any],
 libx11-dev,
 libxft-dev (>= 2.1.2),
 libxi-dev (>= 2:1.2),
 libxml2-dev,
 libxml2-utils,
 locales,
 meson (>= 0.51.0),
 pkexec,
 polkitd,
 python3-dbusmock,
 shared-mime-info,
 tzdata <!nocheck>,
 xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://github.com/ubuntubudgie/budgie-control-center.git
Vcs-Browser: https://github.com/ubuntubudgie/budgie-control-center

Package: budgie-control-center
Architecture: any
Depends:
 accountsservice,
 budgie-control-center-data,
 colord (>= 0.1.30),
 desktop-file-utils,
 gnome-desktop3-data,
 gnome-settings-daemon (>= 49),
 gsettings-desktop-schemas (>= 40),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 budgie-desktop (>= 10.7),
 cracklib-runtime,
 cups-pk-helper,
 gkbd-capplet,
 gnome-user-docs,
 gnome-user-share,
 iso-codes,
 libcanberra-pulse,
 libnss-myhostname,
 network-manager-applet,
 pkexec,
 polkitd,
 power-profiles-daemon,
 rygel | rygel-tracker,
 system-config-printer-common (>= 1.4),
Suggests:
 gnome-software | gnome-packagekit,
 libcanberra-gtk3-module,
 realmd,
 x11-xserver-utils,
Description: utilities to configure the Budgie desktop
 This package contains configuration applets for the Budgie desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop background, user
 interface properties, screen resolution, and other Budgie parameters.
 .
 This is a fork of gnome-control-center at v41 with gnome-shell
 specifics removed together with configuration specific to the
 budgie-desktop.

Package: budgie-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: configuration applets for Budgie - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the budgie-control-center package.
 .
 This is a fork of gnome-control-center at v41 with gnome-shell
 specifics removed together with configuration specific to the
 budgie-desktop.

## budgie-control-center 2.0.0~preview.1

=== debian/changelog ===
budgie-control-center (2.0.0~preview.1-1) experimental; urgency=medium

  * New upstream release

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 19 Dec 2025 22:42:05 +0000

## budgie-control-center 2.0.0

=== debian/changelog ===
budgie-control-center (2.0.0-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as stable

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Jan 2026 19:40:42 +0000

## budgie-control-center 2.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 option('profile', type: 'combo', choices: ['default','development'], value: 'default')
 option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
 option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')
+option('bluetooth', type: 'boolean', value: true, description: 'build with bluetooth support')

=== debian/changelog ===
budgie-control-center (2.1.0-1) experimental; urgency=medium

  * New upstream release

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 27 Jan 2026 22:49:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,14 @@
 		-Dprivileged_group=sudo \
 		-Ddocumentation=true \
 		-Dssh=true \
-		-Dcheese=false
+		-Dcheese=false \
+		-Dbluetooth=false
 else
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
 		-Ddocumentation=true \
-		-Dcheese=false
+		-Dcheese=false \
+		-Dbluetooth=false
 endif
 
 override_dh_clean:

=== debian/watch ===
version=4
# version=4
# Upstream releases official tarballs; we use
# those in preference to git tags
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/~/-/g;s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//,\
    oversionmangle=s/-/~/g, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/buddiesofbudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
